@import url('https://fonts.googleapis.com/css2?family=Martel+Sans:wght@200;300;400;600;700;800;900&family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&family=Roboto:ital,wght@0,100..900;1,100..900&family=Space+Grotesk:wght@300..700&display=swap');

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    background-color: rgb(255, 255, 255);
    font-family: Arial, sans-serif;
}

header {
    width: 98%;
    background-image: url(assets/Hero.jpg);
    background-size: cover;
    margin-left: 1.3rem;
    border-radius: 0 0 10px 10px;
}

header nav {
    display: flex;
    align-items: center;
    justify-content: space-around;
    height: 6rem;
    top: 0;
    left: 0;
    right: 0;
    z-index: 100;
}

header nav .logo img {
    height: 9rem;
    width: 9rem;
    cursor: pointer;
}

header nav ul {
    list-style: none;
}

header nav ul li {
    display: inline-block;
    margin: 5px 15px;
}

header nav ul li a {
    text-decoration: none;
    color: #000;
    transition: 0.2s;
}

header nav ul li a:hover {
    text-decoration: underline;
}

header nav .icons i {
    margin: 0 4px;
    cursor: pointer;
    font-size: 18px;
    transition: 0.3s;
}

header nav .icons i:hover {
    color: #007bff;
    ;
}

.container {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 60px 40px;
    border-radius: 10px;
    margin: 20px;
    gap: 2rem;
    flex-wrap: wrap;
}

.container #text-1st {
    font-size: 8rem;
    line-height: 1.2;
}

.container #text-2nd {
    font-size: 3rem;
    color: #007bff;
}

#sh-btn {
    margin-top: 30px;
    padding: 10px 15px;
    background: #ff9900;
    color: #fff;
    border: none;
    border-radius: 5px;
    cursor: pointer;
    font-size: 14px;
}

#sh-btn:hover {
    background-color: #fdca7d;
}

.product-card {
    background: #fff;
    padding: 20px;
    border-radius: 10px;
    width: 500px;
    box-shadow: 0 2px 6px rgba(0, 0, 0, 0.1);
    position: relative;
}

.sale-tag {
    position: absolute;
    top: 50px;
    left: 40px;
    background: #007bff;
    color: #fff;
    padding: 4px 8px;
    border-radius: 10px;
    font-size: 12px;
}

.product-img {
    width: 100%;
    height: auto;
    margin: 15px 0;
    border-radius: 10px;
}

.price {
    margin: 10px 0;
    font-size: 16px;
    font-weight: bolder;
    color: #007bff;
}

.price del {
    color: #888;
    margin-right: 8px;
}

.cart-btn {
    padding: 10px 15px;
    background: #007bff;
    color: #fff;
    border: none;
    border-radius: 5px;
    cursor: pointer;
    font-size: 14px;
}

.cart-btn:hover {
    background: #0056b3;
}


/* product  section */

.seller-section {
    padding: 50px 40px;
    background: #fff;
}

.seller-header {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.seller-header h2 {
    font-family: "Space Grotesk", sans-serif;
    font-size: 2rem;
    margin: 2rem;
    color: #222;
}

.seller-link {
    font-size: 14px;
    color: #000;
    text-decoration: none;
    font-weight: bold;
}

.seller-grid {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(230px, 1fr));
    gap: 20px;
}

.seller-item {
    position: relative;
    overflow: hidden;
    margin-left: 20px;
}

.seller-tag {
    position: absolute;
    top: 30px;
    left: 30px;
    background: #fff;
    color: #1570c3;
    font-size: 12px;
    padding: 4px 8px;
    border-radius: 10px;
}

.seller-item img {
    display: block;
    width: 90%;
    border-radius: 10px;
    transition: opacity 0.3s ease;
}

.seller-item .rear-image {
    position: absolute;
    top: 0;
    left: 0;
    width: 90%;
    border-radius: 10px;
    opacity: 0;
    transition: opacity 0.3s ease;
}

.seller-item:hover .rear-image {
    opacity: 1;
}

.seller-title {
    font-size: 1rem;
    margin: 12px 0;
}

.seller-price {
    font-size: 1rem;
    color: #000;
}

.seller-price del {
    color: #777;
    margin-right: 5px;
}

.seller-price span {
    color: #007bff;
    font-weight: bold;
}

/* New Collection */

.new-collection {
    display: flex;
}

.ncollection {
    flex: 1;
    background-image: url(assets/new_collectionbg.jpg);
    color: white;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: space-evenly;
    text-align: center;
}

.ncollection img {
    width: 100%;
    height: 500px;
}

#ntext {
    font-size: 40px;
    color: #000;
}

.ncollection button {
    padding: 15px;
    font-weight: 600;
    cursor: pointer;
}

/* kids collection section */
.kids-collection {
    width: 100%;
    height: 70vh;
    margin-top: 5rem;
    display: flex;
    justify-content: center;
    align-items: center;
}

.kctext {
    width: 50%;
}

.kctext h1 {
    width: 60%;
    font-family: "Space Grotesk", sans-serif;
    font-size: 4.5rem;
    font-weight: 500;
}

.kcimg img {
    height: 70vh;
    border-radius: 1rem;
}

/* scrolling text */
.marquee {
    background: #262626;
    color: #fff;
    overflow: hidden;
    margin-top: 4rem;
}

.marquee__track {
    display: flex;
    width: max-content;
    align-items: center;
    margin: 1rem;
    gap: 3rem;
    padding: 16px 0;
    animation: scroll 30s linear infinite;
    will-change: transform;
    white-space: nowrap;
}

.marquee:hover .marquee__track {
    animation-play-state: paused;
    /* pause on hover */
}

.marquee__group {
    display: flex;
    gap: 3rem;
    font-family: "Space Grotesk", sans-serif;
    font-size: clamp(22px, 4vw, 48px);
    font-weight: 600;
    letter-spacing: 1px;
    line-height: 1;
}

@keyframes scroll {
    from {
        transform: translateX(0);
    }

    to {
        transform: translateX(-50%);
    }
}

/* Shop collection */
.Shop-collection {
    padding: 70px 40px;
    background: #fff;
    position: relative;
}

.Shop-collection #sname {
    position: absolute;
    font-family: "Space Grotesk", sans-serif;
    font-size: 1.2rem;
    font-weight: 600;
    bottom: 5%;
    right: 15%;
}

/* Review section */
.testimonials {
    max-width: 100%;
    margin: 0 5rem;
}

.testimonials h2 {
    font-family: "Space Grotesk", sans-serif;
    font-size: 2rem;
    margin: 2rem 0;
    color: #222;
}

.testimonial-container {
    width: 90%;
    height: 16rem;
    display: flex;
    justify-content: center;
    gap: 2rem;
    flex-wrap: wrap;
    margin-top: 20px;
}

.testimonial-card {
    background: #f5f5f5;
    padding: 20px;
    margin-left: 2rem;
    border-radius: 8px;
    flex: 1;
    min-width: 280px;
    text-align: left;
    transition: transform 0.3s ease;
}

.testimonial-card:hover {
    transform: translateY(-5px);
}

.testimonial-card h3 {
    color: #0056b3;
    margin-bottom: 10px;
}

.testimonial-card p {
    font-size: 14px;
    color: #555;
    margin-bottom: 15px;
    line-height: 1.5;
}

.user {
    display: flex;
    align-items: center;
    gap: 10px;
}

.user img {
    border-radius: 50%;
    width: 50px;
    height: 50px;
    object-fit: cover;
}

.user span {
    font-weight: bold;
    color: #222;
}

/* Services section */

.services {
    width: 70%;
    margin: 0 auto;
    text-align: center;
    padding: 7rem 0 4rem 0;
}

.services h1 {
    font-family: "Space Grotesk", sans-serif;
    font-size: 60px;
    text-transform: uppercase;
}

.services h1 span {
    margin-left: 15px;
}

.services .services_cards {
    width: 80%;
    margin: 0 auto;
    display: flex;
    align-items: center;
    justify-content: space-between;
    position: relative;
    top: 50px;
}

.services .services_box i {
    font-size: 60px;
    color: orange;
    margin: 20px 0;
    cursor: pointer;
}

.services .services_box h3 {
    margin-bottom: 12px;
    font-size: 19px;
}

.services .services_box p {
    text-align: center;
    color: #919191;
    margin-bottom: 60px;
}

/* About Us section */
.about-section {
    background-image: url(assets/about-us.jpg);
    background-size: cover;
    height: 90vh;
    width: 90%;
    display: flex;
    justify-content: space-around;
    margin: 2rem 6rem;
    border-radius: 1rem;
}

.about-section h1 {
    font-size: 5rem;
}

.about-section .text {
    margin-top: 5rem;
    width: 50%;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 3rem;
}

footer {
    width: 100%;
}

footer .footer_main {
    width: 100%;
    background: #f7e1c9;
    display: flex;
    justify-content: space-around;
}

footer .footer_main .tag {
    margin: 10px 0;
}

footer .footer_main .tag .center {
    text-align: center;
}

footer .footer_main .tag h1 {
    font-size: 25px;
    margin: 25px 0;
    color: #000;
}

footer .footer_main .tag a {
    display: block;
    color: black;
    text-decoration: none;
    margin: 9px 0;
}

footer .footer_main .tag a i {
    padding: 0px;
    transition: 0.3;
}

footer .footer_main .tag a i:hover {
    color: #007bff;
}

footer .footer_main .tag .social_link {
    display: flex;
}

footer .footer_main .tag .social_link a {
    width: 30px;
    height: 30px;
    border-radius: 50%;
    text-align: center;
    text-decoration: none;
    color: black;
    box-shadow: 0 0 20px 10px rgba(0, 0, 0, 0.05);
    position: relative;
    margin: 0 5px;
    z-index: 10;
    overflow: hidden;
}

footer .footer_main .tag .social_link a .fa-brands {
    font-size: 15px;
    line-height: 30px;
    z-index: 10;
    position: relative;
    transition: 0.5s;
}

footer .footer_main .tag .social_link a:hover i {
    color: white;
}

footer .footer_main .tag .social_link a::after {
    content: '';
    width: 100%;
    height: 100%;
    top: 0;
    left: -90px;
    background-color: #007bff;
    position: absolute;
    z-index: -10;
    transition: 0.5s;
}

footer .footer_main .tag .social_link a:hover::after {
    left: 0;
}

footer .footer_main .tag .search_bar {
    width: 230px;
    height: 30px;
    background: rgb(202, 202, 202);
    border-radius: 25px;
}

footer .footer_main .tag .search_bar input {
    width: 200px;
    padding: 2px 0;
    position: relative;
    top: 17%;
    left: 6%;
    border: none;
    background: none;
    outline: none;
    font-size: 13px;
}

footer .footer_main .tag .search_bar button {
    padding: 7px 15px;
    background-color: #007bff;
    border: none;
    margin-top: 15px;
    border-radius: 25px;
    color: white;
    cursor: pointer;
}

















@media (max-width: 768px) {
    .container #text-1st {
        font-size: 3rem;
    }

    .container #text-2nd {
        font-size: 1.5rem;
    }

    .product-card {
        width: 100%;
        margin-top: 20px;
    }
}